# cwl_utils.tests.test_js_sandbox

Test sandboxjs.py and related code.

## Attributes

`node_versions` |

## Functions

`test_node_version`(version, supported, mocker) |
`test_value_from_two_concatenated_expressions`() |
`hide_nodejs`(temp_dir) | Generate a new PATH that hides node{js,}.
`test_value_from_two_concatenated_expressions_podman`(...) | Javascript test using podman.
`test_value_from_two_concatenated_expressions_udocker`(...) | Javascript test using udocker.
`test_value_from_two_concatenated_expressions_singularity`(...) | Javascript test using Singularity.
`test_singularity_cache`(tmp_path, monkeypatch) | Affirm that CWL_SINGULARIT_CACHE is respected.
`test_caches_js_processes`(mocker) |

## Module Contents

cwl_utils.tests.test_js_sandbox.node_versions

cwl_utils.tests.test_js_sandbox.test_node_version(version, supported, mocker)
  Parameters:

    - version (str)

    - supported (bool)

    - mocker (Any)

  Return type:

    None

cwl_utils.tests.test_js_sandbox.test_value_from_two_concatenated_expressions()
  Return type:

    None

cwl_utils.tests.test_js_sandbox.hide_nodejs(temp_dir)

  Generate a new PATH that hides node{js,}.

  Parameters:

    temp_dir (pathlib.Path)

  Return type:

    str

cwl_utils.tests.test_js_sandbox.test_value_from_two_concatenated_expressions_podman(tmp_path, monkeypatch)

  Javascript test using podman.

  Parameters:

    - tmp_path (pathlib.Path)

    - monkeypatch (pytest.MonkeyPatch)

  Return type:

    None

cwl_utils.tests.test_js_sandbox.test_value_from_two_concatenated_expressions_udocker(tmp_path, monkeypatch)

  Javascript test using udocker.

  Parameters:

    - tmp_path (pathlib.Path)

    - monkeypatch (pytest.MonkeyPatch)

  Return type:

    None

cwl_utils.tests.test_js_sandbox.test_value_from_two_concatenated_expressions_singularity(tmp_path, monkeypatch)

  Javascript test using Singularity.

  Parameters:

    - tmp_path (pathlib.Path)

    - monkeypatch (pytest.MonkeyPatch)

  Return type:

    None

cwl_utils.tests.test_js_sandbox.test_singularity_cache(tmp_path, monkeypatch)

  Affirm that CWL_SINGULARIT_CACHE is respected.

  Parameters:

    - tmp_path (pathlib.Path)

    - monkeypatch (pytest.MonkeyPatch)

  Return type:

    None

cwl_utils.tests.test_js_sandbox.test_caches_js_processes(mocker)
  Parameters:

    mocker (Any)

  Return type:

    None